Debian Bug report logs - #679239
Fwd: Issue with commoncpp2, zrtp, linphone, and latest kopete

version graph

Package: src:ucommon; Maintainer for src:ucommon is Jonas Smedegaard <dr@jones.dk>;

Reported by: Mark Purcell <mark@purcell.id.au>

Date: Wed, 27 Jun 2012 11:30:01 UTC

Severity: normal

Found in version ucommon/5.2.2-3

Fixed in version 6.0.2-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#679239; Package src:ucommon. (Wed, 27 Jun 2012 11:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Wed, 27 Jun 2012 11:30:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: submit@bugs.debian.org
Cc: David Sugar <dyfet@gnutelephony.org>
Subject: Fwd: Issue with commoncpp2, zrtp, linphone, and latest kopete
Date: Wed, 27 Jun 2012 21:27:00 +1000
[Message part 1 (text/plain, inline)]
Package: src:ucommon
Version: 5.2.2-3

----------  Forwarded Message  ----------

Subject: Issue with commoncpp2, zrtp, linphone, and latest kopete
Date: Wed, 27 Jun 2012, 20:20:52
From: David Sugar <dyfet@gnutelephony.org>
To: pkg-voip-maintainers@lists.alioth.debian.org

This bug was identified this morning in Fedora.  It effects linphone and
the latest Kopete built with ortp, as both now make use GNU ZRTP in
Fedora.  It surely applies to Debian as well (and arch, etc...)...

This is the relevant interum patch, for ucommon 5.2.2:

diff --git i/commoncpp/address.cpp w/commoncpp/address.cpp
index 24eeb2b..967d154 100644
--- i/commoncpp/address.cpp
+++ w/commoncpp/address.cpp
@@ -360,7 +360,7 @@ void IPV4Address::setAddress(const char *host)
             if(ipaddr)
                 delete[] ipaddr;
             ipaddr = new struct in_addr[1];
-            memset((void *)&ipaddr[0], 0, sizeof(ipaddr));
+            memset((void *)&ipaddr[0], 0, sizeof(struct in_addr));
             return;
         }

@@ -498,7 +498,7 @@ IPV6Address::IPV6Address(const IPV6Validator
*_validator)
     : validator(_validator), hostname(NULL) {
     addr_count = 1;
     ipaddr = new struct in6_addr[1];
-    memcpy(ipaddr, &in6addr_any, sizeof(in6_addr));
+    memcpy(ipaddr, &in6addr_any, sizeof(struct in6_addr));
 }

 IPV6Address::IPV6Address(const char *address, const IPV6Validator
*_validator) :
@@ -716,7 +716,7 @@ void IPV6Address::setAddress(const char *host)
             if(ipaddr)
                 delete[] ipaddr;
             ipaddr = new struct in6_addr[1];
-            memset((void *)&ipaddr[0], 0, sizeof(ipaddr));
+            memset((void *)&ipaddr[0], 0, sizeof(struct in6_addr));
             return;
         }

@@ -796,7 +796,7 @@ void IPV6Address::setAddress(const char *host)
             if(ipaddr)
                 delete[] ipaddr;
             ipaddr = new struct in6_addr[1];
-            memset((void *)&ipaddr[0], 0, sizeof(ipaddr));
+            memset((void *)&ipaddr[0], 0, sizeof(struct in6_addr));
             return;
         }

This will be incorporated into ucommon 5.2.3 & 5.4.2 probably later tonight.

-----------------------------------------
[dyfet.vcf (text/x-vcard, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to 679239@bugs.debian.org:
You have taken responsibility. (Fri, 02 Aug 2013 09:48:10 GMT) Full text and rfc822 format available.

Notification sent to Mark Purcell <mark@purcell.id.au>:
Bug acknowledged by developer. (Fri, 02 Aug 2013 09:48:10 GMT) Full text and rfc822 format available.

Message #10 received at 679239-done@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 679239-done@bugs.debian.org
Subject: Re: Bug#679239: Fwd: Issue with commoncpp2, zrtp, linphone, and latest kopete
Date: Fri, 02 Aug 2013 11:46:12 +0200
[Message part 1 (text/plain, inline)]
Version: 6.0.2-1

Quoting Mark Purcell (2012-06-27 13:27:00)
> Package: src:ucommon
> Version: 5.2.2-3

> This bug was identified this morning in Fedora.  It effects linphone 
> and the latest Kopete built with ortp, as both now make use GNU ZRTP 
> in Fedora.  It surely applies to Debian as well (and arch, etc...)...

> This will be incorporated into ucommon 5.2.3 & 5.4.2 probably later 
> tonight.

This bug is fixed upstream since (before) our packaged 6.0.2-1

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Oct 2013 07:29:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:16:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.